Ant API: Class Javadoc

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javadoc

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Exec
                  |
                  +--org.apache.tools.ant.taskdefs.Javadoc

public class Javadoc
extends Exec

This Task makes it easy to generate javadocs for a collection of source code. Current known limitations are: - multiple source path breaks operation - patterns must be of the form "xxx.*", every other pattern doesn't work. - the java comment-stripper reader is horribly slow - there is no control on arguments sanity since they are left to the javadoc implementation. - argument J in javadoc1 is not supported (what is that for anyway?) Note: This task is run on another VM because stupid Javadoc calls System.exit() that would break Ant functionality.

Author:
  Jon S. Stevens jon@clearink.com, Stefano Mazzocchi stefano@apache.org

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Javadoc()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setAuthor(java.lang.String src)`
`void` | `setBootclasspath(java.lang.String src)`
`void` | `setBottom(java.lang.String src)`
`void` | `setClasspath(java.lang.String src)`
`void` | `setDestdir(java.lang.String src)`
`void` | `setDocencoding(java.lang.String src)`
`void` | `setDoclet(java.lang.String src)`
`void` | `setDocletPath(java.lang.String src)`
`void` | `setDoctitle(java.lang.String src)`
`void` | `setEncoding(java.lang.String src)`
`void` | `setExtdirs(java.lang.String src)`
`void` | `setFooter(java.lang.String src)`
`void` | `setGroup(java.lang.String src)`
`void` | `setHeader(java.lang.String src)`
`void` | `setLink(java.lang.String src)`
`void` | `setLinkoffline(java.lang.String src)`
`void` | `setLocale(java.lang.String src)`
`void` | `setNodeprecated(java.lang.String src)`
`void` | `setNodeprecatedlist(java.lang.String src)`
`void` | `setNohelp(java.lang.String src)`
`void` | `setNoindex(java.lang.String src)`
`void` | `setNonavbar(java.lang.String src)`
`void` | `setNotree(java.lang.String src)`
`void` | `setOld(java.lang.String src)`
`void` | `setOverview(java.lang.String src)`
`void` | `setPackage(java.lang.String src)`
`void` | `setPackagenames(java.lang.String src)`
`void` | `setPrivate(java.lang.String src)`
`void` | `setProtected(java.lang.String src)`
`void` | `setPublic(java.lang.String src)`
`void` | `setSourcefiles(java.lang.String src)`
`void` | `setSourcepath(java.lang.String src)`
`void` | `setSplitindex(java.lang.String src)`
`void` | `setStylesheetfile(java.lang.String src)`
`void` | `setUse(java.lang.String src)`
`void` | `setVerbose(java.lang.String src)`
`void` | `setVersion(java.lang.String src)`
`void` | `setWindowtitle(java.lang.String src)`

Methods inherited from class org.apache.tools.ant.taskdefs.Exec
`run, setCommand, setDir, setOs, setOutput`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javadoc

    public Javadoc()

Method Detail

### setSourcepath

    public void setSourcepath(java.lang.String src)

### setDestdir

    public void setDestdir(java.lang.String src)

### setSourcefiles

    public void setSourcefiles(java.lang.String src)

### setPackagenames

    public void setPackagenames(java.lang.String src)

### setOverview

    public void setOverview(java.lang.String src)

### setPublic

    public void setPublic(java.lang.String src)

### setProtected

    public void setProtected(java.lang.String src)

### setPackage

    public void setPackage(java.lang.String src)

### setPrivate

    public void setPrivate(java.lang.String src)

### setDoclet

    public void setDoclet(java.lang.String src)

### setDocletPath

    public void setDocletPath(java.lang.String src)

### setOld

    public void setOld(java.lang.String src)

### setClasspath

    public void setClasspath(java.lang.String src)

### setBootclasspath

    public void setBootclasspath(java.lang.String src)

### setExtdirs

    public void setExtdirs(java.lang.String src)

### setVerbose

    public void setVerbose(java.lang.String src)

### setLocale

    public void setLocale(java.lang.String src)

### setEncoding

    public void setEncoding(java.lang.String src)

### setVersion

    public void setVersion(java.lang.String src)

### setUse

    public void setUse(java.lang.String src)

### setAuthor

    public void setAuthor(java.lang.String src)

### setSplitindex

    public void setSplitindex(java.lang.String src)

### setWindowtitle

    public void setWindowtitle(java.lang.String src)

### setDoctitle

    public void setDoctitle(java.lang.String src)

### setHeader

    public void setHeader(java.lang.String src)

### setFooter

    public void setFooter(java.lang.String src)

### setBottom

    public void setBottom(java.lang.String src)

### setLink

    public void setLink(java.lang.String src)

### setLinkoffline

    public void setLinkoffline(java.lang.String src)

### setGroup

    public void setGroup(java.lang.String src)

### setNodeprecated

    public void setNodeprecated(java.lang.String src)

### setNodeprecatedlist

    public void setNodeprecatedlist(java.lang.String src)

### setNotree

    public void setNotree(java.lang.String src)

### setNoindex

    public void setNoindex(java.lang.String src)

### setNohelp

    public void setNohelp(java.lang.String src)

### setNonavbar

    public void setNonavbar(java.lang.String src)

### setStylesheetfile

    public void setStylesheetfile(java.lang.String src)

### setDocencoding

    public void setDocencoding(java.lang.String src)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: Task
  Called by the project to let the task do it's work. Normally it does nothing.
  Overrides:
    execute in class Exec
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.